xiaohongshu 03
15 个接口
POSTget blogger notes v2
POST https://dkai.store/api/v1/xiaohongshu/pgy/get_blogger_notes_v218 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
请求体:按接口定义传入完整 JSON。
成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
POSTget blogger similar
POST https://dkai.store/api/v1/xiaohongshu/pgy/get_blogger_similar18 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
请求体:按接口定义传入完整 JSON。
成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
POSTget content square
POST https://dkai.store/api/v1/xiaohongshu/pgy/get_content_square18 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
请求体:按接口定义传入完整 JSON。
成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
POSTget keyword daily
POST https://dkai.store/api/v1/xiaohongshu/pgy/get_keyword_daily18 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
请求体:按接口定义传入完整 JSON。
成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
POSTget keyword stat
POST https://dkai.store/api/v1/xiaohongshu/pgy/get_keyword_stat18 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
请求体:按接口定义传入完整 JSON。
成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
POSTget live blogger list
POST https://dkai.store/api/v1/xiaohongshu/pgy/get_live_blogger_list18 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
请求体:按接口定义传入完整 JSON。
成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
POSTget note comments
POST https://dkai.store/api/v1/xiaohongshu/pgy/get_note_comments9 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
请求体:按接口定义传入完整 JSON。
成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
POSTget note components
POST https://dkai.store/api/v1/xiaohongshu/pgy/get_note_components1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
请求体:按接口定义传入完整 JSON。
成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
POSTget note detail
POST https://dkai.store/api/v1/xiaohongshu/pgy/get_note_detail18 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
请求体:按接口定义传入完整 JSON。
成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch homefeed
GET https://dkai.store/api/v1/xiaohongshu/web_v3/fetch_homefeed9 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/xiaohongshu/web_v3/fetch_homefeed'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch homefeed categories
GET https://dkai.store/api/v1/xiaohongshu/web_v3/fetch_homefeed_categories9 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/xiaohongshu/web_v3/fetch_homefeed_categories'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch note detail
GET https://dkai.store/api/v1/xiaohongshu/web_v3/fetch_note_detail9 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
note_id | query | 必填 | |
xsec_token | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/xiaohongshu/web_v3/fetch_note_detail?note_id=VALUE&xsec_token=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch search suggest
GET https://dkai.store/api/v1/xiaohongshu/web_v3/fetch_search_suggest9 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/xiaohongshu/web_v3/fetch_search_suggest'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user info
GET https://dkai.store/api/v1/xiaohongshu/web_v3/fetch_user_info9 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
user_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/xiaohongshu/web_v3/fetch_user_info?user_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。